Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005680TestLinkCustom fieldspublic2013-05-02 20:562013-09-08 17:53
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005680: Adding Required attribute to Custom field via HTML5 required attribute
DescriptionOn master we have implemented Custom Field validation and required attribute via some logic.

We can try to use the required HTML5 attribute

http://diveintohtml5.info/forms.html [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon customFields.sample.xml [^] (8,447 bytes) 2013-06-01 07:41

- Relationships
child of 0005688closedfman cfields_testproject - columns related required feature 
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019028)
fman (administrator)
2013-05-26 18:48

date / datetime are not working yet
other kind of cf needs tests
(0019081)
fman (administrator)
2013-06-01 07:45

tested using attached example.
issues only with date and datetime
(0019510)
fman (administrator)
2013-09-08 17:53

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-05-02 20:56 fman New Issue
2013-05-02 20:56 fman Status new => assigned
2013-05-02 20:56 fman Assigned To => fman
2013-05-26 18:48 fman Note Added: 0019028
2013-05-26 18:48 fman Relationship added child of 0005688
2013-05-26 18:48 fman Relationship added child of 0005731
2013-06-01 07:41 fman File Added: customFields.sample.xml
2013-06-01 07:45 fman Note Added: 0019081
2013-06-01 08:09 fman Description Updated View Revisions
2013-09-08 09:05 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-09-08 09:05 fman Status assigned => resolved
2013-09-08 09:05 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-09-08 09:05 fman Resolution open => fixed
2013-09-08 17:53 fman Note Added: 0019510
2013-09-08 17:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker